<template>
  <div class="wrapper">
    <div class="login message" v-if="!loggedin">
      <h1 class="login__heading"> Log in to send a message </h1>
      <div class="login__inner message__inner">
        <div class="login__content message__content">
          <p class="login__subheading">To log in enter your credentials below:</p>
          <div class="form-inline">
            <div class="form-inline__unit-wrapper">
              <label>Username</label>
              <input type="text" name="login" class="textfield login__username">
            </div>
            <div>
              <label>Password</label>
              <input type="password" name="login" class="textfield login__password">
            </div>
          </div>
          <label>Message</label>
          <textarea type="text" name="login" class="textfield textarea login__message"></textarea>
          <div class="form-inline">
            <label>Confirm humanity *</label>
            <input type="checkbox" name="login" class="check login__checkbox">
          </div>
        </div>
        <div class="login__buttons">
          <button @click="login(true)" class="button login__login">Login</button>
        </div>
      </div>
    </div>
    <div class="logged-in" v-if="loggedin">
      <h1 class="logged-in__heading">Welcome, <br> You are logged in. <br> <br> <br> Your message was sent successfully</h1>
    </div>
  </div>
</template>

<script>
import {mapGetters} from 'vuex';
export default {
  name: 'login',
  methods: {
    login: function() {
      const username = document.querySelector('.login__username').value;
      const password = document.querySelector('.login__password').value;
      // const message = document.querySelector('.login__message').value;
      const checkbox = document.querySelector('.login__checkbox');
      if (username === 'admin', password === 'qwerty', checkbox.checked === true) {
        this.$store.commit('login', true);
      } else {
        alert('Failed to login');
      }
    }
  },
  computed: {
    ...mapGetters({
      loggedin: 'loggedin'
    }),
    logged: {
      get(){
        return this.loggedin
      },
      set(newLoggedIn){
        return newLoggedIn
      }
    }
  }
}
</script>
